org.apache.olingo.odata2.api.edm

## Interface EdmFunctionImport

- All Superinterfaces:
    EdmAnnotatable, EdmMappable, EdmNamed
  All Known Implementing Classes:
    EdmFunctionImportImpl

      public interface EdmFunctionImport
      extends EdmMappable, EdmNamed, EdmAnnotatable

  Do not implement this interface or derive from class.
    A CSDL FunctionImport element EdmFunctionImport can be used model functions which have input parameters, an associated HTTP Method and a return type which can be of different kinds:
- `EdmSimpleType` or a collection of simple types
- `EdmEntityType` or a collection of entity types
- `EdmEntitySet`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmEntityContainer` | `getEntityContainer()` Get the entity container the function import is contained in
    `EdmEntitySet` | `getEntitySet()` Get the edm entity set
    `String` | `getHttpMethod()` Get the HTTP Method
    `EdmParameter` | `getParameter(String name)` Get the parameter by name
    `Collection<String>` | `getParameterNames()` Get all parameter names
    `EdmTyped` | `getReturnType()`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmMappable

      `getMapping`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmAnnotatable

      `getAnnotations`

- - ### Method Detail

    - #### getParameter

          EdmParameter getParameter(String name)
                             throws EdmException

      Get the parameter by name
      Parameters:
        `name` -
      Returns:
        `EdmParameter`
      Throws:
        `EdmException`

    - #### getParameterNames

          Collection<String> getParameterNames()
                                        throws EdmException

      Get all parameter names
      Returns:
        collection of parameter names of type Collection
      Throws:
        `EdmException`

    - #### getEntitySet

          EdmEntitySet getEntitySet()
                             throws EdmException

      Get the edm entity set
      Returns:
        `EdmEntitySet`
      Throws:
        `EdmException`

    - #### getHttpMethod

          String getHttpMethod()
                        throws EdmException

      Get the HTTP Method
      Returns:
        HTTP Method as String
      Throws:
        `EdmException`

    - #### getReturnType

          EdmTyped getReturnType()
                          throws EdmException

      Returns:
        `EdmTyped`
      Throws:
        `EdmException`

    - #### getEntityContainer

          EdmEntityContainer getEntityContainer()
                                         throws EdmException

      Get the entity container the function import is contained in
      Returns:
        `EdmEntityContainer`
      Throws:
        `EdmException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.